/*
 @C:\Web_635\Sql\End_Conv\Oracle\3978_PEDFUNO_Possui_Pedido_SC.SQL

 Descrio:
 Funo para retornar S - se a SC tem pedido atrelado
                      N - se a SC no tem pedido atrelado

 Parmetros
 P_CDFILIAL  - Filial de origem do pedido
 P_CDFILLANCA - Filial de lanamento da SC
 P_CDFILISOLI - Filial solicitande da SC
 P_NRSOLICMP - Numero da SC
 P_DTPROGENTR - Data de entrega da SC
 raise_application_error(-20501, '' , True);
*/

create or replace FUNCTION POSSUI_PEDIDO_SC(
   P_CDFILIAL IN FILIAL.CDFILIAL%TYPE,
   P_CDFILLANCA IN ITEMSOLI.CDFILLAN%TYPE,
   P_CDFILISOLI IN ITEMSOLI.CDFILSOLI%TYPE,
   P_NRSOLICMP IN ITEMSOLI.NRSOLICMP%TYPE,
   P_DTPROGENTR IN ITEMSOLI.DTPROGENTR%TYPE) RETURN VARCHAR2 IS

   V_COUNT INTEGER;
   V_IDIMPSCDTENTR PARAMIMPPEDIDO.IDIMPSCDTENTR%TYPE;

BEGIN
   V_COUNT := 0;
   SELECT MAX(IDIMPSCDTENTR)
     INTO V_IDIMPSCDTENTR
     FROM PARAMIMPPEDIDO
     WHERE CDFILIAL = P_CDFILIAL;

   IF V_IDIMPSCDTENTR = 'S' THEN
      SELECT COUNT(1)
        INTO V_COUNT
        FROM PEDIDO
       WHERE CDFILLANCA = P_CDFILLANCA
         AND CDFILSOLI = P_CDFILISOLI
         AND NRSOLICMP = P_NRSOLICMP
         AND DTENTPED = P_DTPROGENTR;
    ELSE
      SELECT COUNT(1)
        INTO V_COUNT
        FROM PEDIDO
       WHERE CDFILLANCA = P_CDFILLANCA
         AND CDFILSOLI = P_CDFILISOLI
         AND NRSOLICMP = P_NRSOLICMP;
   END IF;
   IF V_COUNT = 0 THEN
      RETURN('N');
   ELSE
      RETURN('S');
   END IF;
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('POSSUI_PEDIDO_SC','6.35.030'); END;
/
