create or replace
PROCEDURE IMPORTA_FORNECEDOR_SAP
IS 
   V_CDPAIS      INTEGER;
   V_SGESTADO    INTEGER;
   V_FORNECEDOR  INTEGER;
   V_CDMUNICIPIO VARCHAR2(4);   
   V_CDQUALIF    INTEGER;
   V_CDFORMPGTO  INTEGER;
   V_CDTIPOFORN  INTEGER;
   V_DATAQUALIF  DATE;
   V_NRINSJUR    INTEGER;
   V_NOVOINSJFOR VARCHAR2(20);
   V_PRAZOPGTO   INTEGER;
   V_IDENTRSAID  VARCHAR2(1);
   V_CDTIPOOPER  VARCHAR2(2);
   V_ERROR       VARCHAR2(300);
   V_QUALFORNE   VARCHAR2(21);
   V_DSJUSQUALIF VARCHAR2(100);
   V_TEXTO       VARCHAR2(250);
   
   CURSOR C_PARAM IS
      SELECT IDENTRSAIDOP, CDTIPOOPER
        FROM TIPOOPERAC
       WHERE IDENTRSAIDOP = 'E';
  
   CURSOR C_LOGQUALIFICACAO(C_FORNECED VARCHAR2) IS
      SELECT CDFORNECED, DSLOGJUSTQUALIF
        FROM LOGQUALIFICACAO L
       WHERE CDFORNECED = C_FORNECED
         AND DTULTATU = (SELECT MAX(DTULTATU)
                           FROM LOGQUALIFICACAO
                          WHERE CDFORNECED = L.CDFORNECED);
BEGIN
   FOR C_FORNECEDOR IN 
       (SELECT /* FORNECEDOR */
               U.CDFORNECEDOR, U.NMRAZAOSOC, U.NMFANTFORNE, U.IDTPIJURFORN, U.NRINSJURFORN, U.NRINSESTFORN, U.IDTIPOFORN, U.IDFORMPGFORN, U.CDCSTDIG1ENT,
               U.IDSITUCADA, U.NRNOTAFORN, U.CDQUALIF, U.DTVALQUALIF, U.CDFORMPGTO, U.IDTPFORPGTFO, U.NRPARCPGTOFO, U.NRDIAPGFIXFO, U.IDUTDIAPGTFO,
               U.IDGERAFDTENT, U.IDFORNAUTO, 'P' AS IDENDEMISFOR, NVL(U.IDENDCFOPFOR, 'P') AS IDENDCFOPFOR, U.DTULTATUFORN, U.CDTIPOFORN, NVL(U.IDPRIPUBFORN, 'V') AS IDPRIPUBFORN, NVL(U.IDAGRUBOLFOR, 'N') AS IDAGRUBOLFOR, NVL(U.IDLIGEXTFORN, 'S') AS IDLIGEXTFORN,
               U.VRPERPIFORN, U.IDFORNINTER, U.NMCOMPRZSFOR, U.CDEXFORNECED, NVL(U.IDUTLALVFORN, 'N') AS IDUTLALVFORN, U.NRALVARAFORN, U.DTALVARAFORN, 
               /* ENDEFORN */
               U.DSENDERECOP, U.CDPAISP, U.SGESTADOP, U.CDMUNICIPIOP, U.CDCEPP, U.NMBAIRROP, U.EMAIL, U.IDTPENDEFORN, U.NRTELEFORN, U.NRRAMALFORN, 
               U.NRFAXFORN, U.DTULTATUENFO, U.NMCONTFORN, U.DSCOMPENDFOR, U.OBSQUALFORNSAP,
               /* USR_SAP_FORNECEDOR */
               U.IDINTERFACE, U.TPINTERFACE 
          FROM USR_SAP_FORNECEDOR U
         WHERE U.DTINTERFACEDEST IS NULL
         ORDER BY U.DTINTERFACEORI)
   LOOP
      SELECT COUNT(1) AS CDQUALIF
        INTO V_CDQUALIF
        FROM QUALIFICACAO
       WHERE CDQUALIF = NVL(C_FORNECEDOR.CDQUALIF, CDQUALIF);
      IF V_CDQUALIF = 0 THEN
         INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
         VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'C'||CHR(243)||'digo da qualifica'||CHR(231)||''||CHR(227)||'o '|| C_FORNECEDOR.CDQUALIF ||' do fornecedor '|| C_FORNECEDOR.CDFORNECEDOR || ' - ' ||  C_FORNECEDOR.NMFANTFORNE ||' n'||CHR(227)||'o cadastrado no sistema Teknisa');

         UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
          WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
         COMMIT;
      END IF;
      /* Valida Forma de Pagamento */
      SELECT COUNT(1) AS CDFORMPGTO
        INTO V_CDFORMPGTO
        FROM FORMPGTO
       WHERE CDFORMPGTO = NVL(C_FORNECEDOR.CDFORMPGTO, CDFORMPGTO);
      IF V_CDFORMPGTO = 0 THEN
         INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
         VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'C'||CHR(243)||'digo da forma de pagamento '|| C_FORNECEDOR.CDFORMPGTO ||' do fornecedor '|| C_FORNECEDOR.CDFORNECEDOR || ' - ' ||  C_FORNECEDOR.NMFANTFORNE ||' n'||CHR(227)||'o cadastrado no sistema Teknisa');

         UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
          WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
         COMMIT;
      END IF;
      /* Valida Tipo de Fornecedor */
      SELECT COUNT(1) AS CDTIPOFORN
        INTO V_CDTIPOFORN
        FROM TIPOFORN
       WHERE CDTIPOFORN = NVL(C_FORNECEDOR.CDTIPOFORN, CDTIPOFORN);
      IF V_CDTIPOFORN = 0 THEN
         INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
         VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'C'||CHR(243)||'digo do tipo de fornecedor '|| C_FORNECEDOR.CDTIPOFORN ||' do fornecedor ' || C_FORNECEDOR.CDFORNECEDOR  || ' - ' ||  C_FORNECEDOR.NMFANTFORNE  ||' n'||CHR(227)||'o cadastrado no sistema Teknisa');
         
         UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
          WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
         COMMIT;
      END IF;
      SELECT COUNT(1) AS CDPAIS 
        INTO V_CDPAIS
        FROM PAIS
       WHERE CDPAIS = C_FORNECEDOR.CDPAISP;
      IF V_CDPAIS > 0 THEN
         SELECT COUNT(1) AS SGESTADO
           INTO V_SGESTADO
           FROM ESTADO
          WHERE CDPAIS   = C_FORNECEDOR.CDPAISP
            AND SGESTADO = C_FORNECEDOR.SGESTADOP;
         IF V_SGESTADO > 0 THEN
            BEGIN
               SELECT MAX(CDMUNICIPIO) CDMUNICIPIO
                 INTO V_CDMUNICIPIO
                 FROM MUNICIPIO
                WHERE CDPAIS      = C_FORNECEDOR.CDPAISP
                  AND SGESTADO    = C_FORNECEDOR.SGESTADOP
                  AND CDMUNICIBGE = C_FORNECEDOR.CDMUNICIPIOP;
               IF V_CDMUNICIPIO IS NOT NULL THEN
                  /* Valida Qualificacao */
                  /* Se todas validacoes estiverem ok */
                  IF (V_CDTIPOFORN > 0) AND (V_CDFORMPGTO > 0) AND (V_CDQUALIF > 0) THEN
                     /* Trata a data de qualificacao para considerar a data de alvara caso a coluna IDUTLALVFORN seja 'S' */
                     IF C_FORNECEDOR.IDUTLALVFORN = 'S' THEN
                        V_DATAQUALIF := NVL(C_FORNECEDOR.DTALVARAFORN, SYSDATE);
                     ELSE 
                        V_DATAQUALIF := NVL(C_FORNECEDOR.DTVALQUALIF, SYSDATE);
                     END IF;
                     SELECT COUNT(1) AS CDFORNECEDOR
                       INTO V_FORNECEDOR
                       FROM FORNECEDOR
                      WHERE CDFORNECED = C_FORNECEDOR.CDFORNECEDOR;
                     
                     IF V_FORNECEDOR = 0 THEN
                        /* Verifica se o valor da coluna NRINSJURFORN ja esta relacionada a outro fornecedor, se estiver pega apenas os numeros da coluna CDFORNECEDOR */
                        SELECT COUNT(1)
                          INTO V_NRINSJUR
                          FROM FORNECEDOR
                         WHERE IDTPIJURFORN = C_FORNECEDOR.IDTPIJURFORN
                           AND NRINSJURFORN = C_FORNECEDOR.NRINSJURFORN;
                        IF V_NRINSJUR > 0 THEN
                           V_NOVOINSJFOR := REGEXP_REPLACE(C_FORNECEDOR.CDFORNECEDOR, '\D');
                        ELSE
                           V_NOVOINSJFOR := C_FORNECEDOR.NRINSJURFORN;
                        END IF;
                        INSERT INTO FORNECEDOR(CDFORNECED, NMRAZSOCFORN, NMFANTFORN, IDTPIJURFORN, NRINSJURFORN, NRINSESTFORN, IDTIPOFORN, IDFORMPGFORN, CDCSTDIG1ENT,
                                               IDSITUCADA, NRNOTAFORN, CDQUALIF, DTVALQUALIF, CDFORMPGTO, IDTPFORPGTFO, NRPARCPGTOFO, NRDIAPGFIXFO, IDUTDIAPGTFO,
                                               IDGERAFDTENT, IDFORNAUTO, IDENDEMISFOR, IDENDCFOPFOR, DTULTATUFORN, CDTIPOFORN, IDPRIPUBFORN, IDAGRUBOLFOR, IDLIGEXTFORN,
                                               VRPERPIFORN, IDFORNINTER, NMCOMPRZSFOR, CDEXFORNECED, IDUTLALVFORN, NRALVARAFORN, DTALVARAFORN, USR_INTEGRAMESAP)
                        VALUES(C_FORNECEDOR.CDFORNECEDOR, C_FORNECEDOR.NMRAZAOSOC, C_FORNECEDOR.NMFANTFORNE, C_FORNECEDOR.IDTPIJURFORN, C_FORNECEDOR.NRINSJURFORN, C_FORNECEDOR.NRINSESTFORN, C_FORNECEDOR.IDTIPOFORN, C_FORNECEDOR.IDFORMPGFORN, C_FORNECEDOR.CDCSTDIG1ENT,
                               C_FORNECEDOR.IDSITUCADA, C_FORNECEDOR.NRNOTAFORN, C_FORNECEDOR.CDQUALIF, V_DATAQUALIF, C_FORNECEDOR.CDFORMPGTO, C_FORNECEDOR.IDTPFORPGTFO, C_FORNECEDOR.NRPARCPGTOFO, C_FORNECEDOR.NRDIAPGFIXFO, C_FORNECEDOR.IDUTDIAPGTFO,
                               C_FORNECEDOR.IDGERAFDTENT, C_FORNECEDOR.IDFORNAUTO, C_FORNECEDOR.IDENDEMISFOR, C_FORNECEDOR.IDENDCFOPFOR, C_FORNECEDOR.DTULTATUFORN, C_FORNECEDOR.CDTIPOFORN, C_FORNECEDOR.IDPRIPUBFORN, C_FORNECEDOR.IDAGRUBOLFOR, C_FORNECEDOR.IDLIGEXTFORN,
                               C_FORNECEDOR.VRPERPIFORN, C_FORNECEDOR.IDFORNINTER, C_FORNECEDOR.NMCOMPRZSFOR, C_FORNECEDOR.CDEXFORNECED, C_FORNECEDOR.IDUTLALVFORN, C_FORNECEDOR.NRALVARAFORN, C_FORNECEDOR.DTALVARAFORN, 'S');

                        /* Endereco principal */
                        INSERT INTO ENDEFORN(CDFORNECED, DSENDEFORN, CDPAIS, SGESTADO, CDMUNICIPIO, NRCEPFORN,
                                             NMBAIRFORN, DSEMAILFORN, IDTPENDEFORN, NRTELEFORN, NRRAMALFORN, NRFAXFORN,
                                             DTULTATUENFO, NMCONTFORN, DSCOMPENDFOR)
                        VALUES(C_FORNECEDOR.CDFORNECEDOR, C_FORNECEDOR.DSENDERECOP, C_FORNECEDOR.CDPAISP, C_FORNECEDOR.SGESTADOP, V_CDMUNICIPIO, C_FORNECEDOR.CDCEPP,
                               C_FORNECEDOR.NMBAIRROP, C_FORNECEDOR.EMAIL, 'P', C_FORNECEDOR.NRTELEFORN, C_FORNECEDOR.NRRAMALFORN, C_FORNECEDOR.NRFAXFORN,
                               C_FORNECEDOR.DTULTATUENFO, C_FORNECEDOR.NMCONTFORN, C_FORNECEDOR.DSCOMPENDFOR);
                        
                        BEGIN
                           OPEN C_PARAM;
                           LOOP
                              FETCH C_PARAM INTO V_IDENTRSAID, V_CDTIPOOPER;
                              EXIT WHEN C_PARAM%NOTFOUND;
                              
                              INSERT INTO PARAMBLOQNFAFOR(CDFORNECED, IDENTRSAIDOP, CDTIPOOPER, IDLIBERATPOPFOR)
                              VALUES(C_FORNECEDOR.CDFORNECEDOR, V_IDENTRSAID, V_CDTIPOOPER, 'N');                              
                           END LOOP;
                           
                           CLOSE C_PARAM;
                        EXCEPTION
                           WHEN OTHERS THEN
                              V_ERROR := SQLERRM(SQLCODE);
                              
                              INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
                              VALUES(C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 0, 'Erro ao incluir parmetro por fornecedor, para o fornecdor '||C_FORNECEDOR.CDFORNECEDOR || ' - ' || C_FORNECEDOR.NMFANTFORNE ||'. Erro: ' ||V_ERROR);
                              
                              CLOSE C_PARAM;
                        END;
                        
                        INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
                        VALUES(C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 0, 'Fornecedor '||C_FORNECEDOR.CDFORNECEDOR || ' - ' || C_FORNECEDOR.NMFANTFORNE ||' cadastrado com sucesso.');
                        
                        FOR C_PRAZOPGTO IN 
                           (SELECT NRDIASPGTOFO, VRPERCPGTOFO
                              FROM USR_SAP_PRAZOPGTFORN
                             WHERE CDFORNECEDOR = C_FORNECEDOR.CDFORNECEDOR)
                        LOOP
                           INSERT INTO PRAZOPGTFORN (CDFORNECED, NRDIASPGTOFO, VRPERCPGTOFO)
                           VALUES(C_FORNECEDOR.CDFORNECEDOR, C_PRAZOPGTO.NRDIASPGTOFO, C_PRAZOPGTO.VRPERCPGTOFO);
                        END LOOP;
                        
                     ELSE
                        UPDATE FORNECEDOR SET NMRAZSOCFORN = C_FORNECEDOR.NMRAZAOSOC, NMFANTFORN = C_FORNECEDOR.NMFANTFORNE, IDTIPOFORN = C_FORNECEDOR.IDTIPOFORN, IDFORMPGFORN = C_FORNECEDOR.IDFORMPGFORN, CDCSTDIG1ENT = C_FORNECEDOR.CDCSTDIG1ENT,
                                              IDSITUCADA = C_FORNECEDOR.IDSITUCADA, NRNOTAFORN = C_FORNECEDOR.NRNOTAFORN, CDQUALIF = C_FORNECEDOR.CDQUALIF, DTVALQUALIF = V_DATAQUALIF, CDFORMPGTO = C_FORNECEDOR.CDFORMPGTO, IDTPFORPGTFO = C_FORNECEDOR.IDTPFORPGTFO, NRPARCPGTOFO = C_FORNECEDOR.NRPARCPGTOFO, NRDIAPGFIXFO = C_FORNECEDOR.NRDIAPGFIXFO, IDUTDIAPGTFO = C_FORNECEDOR.IDUTDIAPGTFO,
                                              IDGERAFDTENT = C_FORNECEDOR.IDGERAFDTENT, IDFORNAUTO = C_FORNECEDOR.IDFORNAUTO, IDENDEMISFOR = C_FORNECEDOR.IDENDEMISFOR, IDENDCFOPFOR = C_FORNECEDOR.IDENDCFOPFOR, CDTIPOFORN = C_FORNECEDOR.CDTIPOFORN, IDPRIPUBFORN = C_FORNECEDOR.IDPRIPUBFORN, IDAGRUBOLFOR = C_FORNECEDOR.IDAGRUBOLFOR, IDLIGEXTFORN = C_FORNECEDOR.IDLIGEXTFORN,
                                              VRPERPIFORN = C_FORNECEDOR.VRPERPIFORN, IDFORNINTER = C_FORNECEDOR.IDFORNINTER, NMCOMPRZSFOR = C_FORNECEDOR.NMCOMPRZSFOR, CDEXFORNECED = C_FORNECEDOR.CDEXFORNECED, IDUTLALVFORN = C_FORNECEDOR.IDUTLALVFORN, NRALVARAFORN = C_FORNECEDOR.NRALVARAFORN, DTALVARAFORN = C_FORNECEDOR.DTALVARAFORN,
                                              NRINSESTFORN = C_FORNECEDOR.NRINSESTFORN
                         WHERE CDFORNECED = C_FORNECEDOR.CDFORNECEDOR;
                        UPDATE ENDEFORN SET DSENDEFORN = C_FORNECEDOR.DSENDERECOP, CDPAIS = C_FORNECEDOR.CDPAISP, SGESTADO = C_FORNECEDOR.SGESTADOP, 
                                            CDMUNICIPIO = V_CDMUNICIPIO, NRCEPFORN = C_FORNECEDOR.CDCEPP, NMBAIRFORN = C_FORNECEDOR.NMBAIRROP, DSEMAILFORN = C_FORNECEDOR.EMAIL
                         WHERE CDFORNECED = C_FORNECEDOR.CDFORNECEDOR;
                        INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
                        VALUES (C_FORNECEDOR.IDINTERFACE, 'A', 1, SYSDATE, 0, 'Atualiza'||CHR(231)||''||CHR(227)||'o do fornecedor '|| C_FORNECEDOR.CDFORNECEDOR  || ' - ' ||  C_FORNECEDOR.NMFANTFORNE  || ' realizada com sucesso.');
                        
                        SELECT COUNT(1)
                          INTO V_PRAZOPGTO
                          FROM USR_SAP_PRAZOPGTFORN
                         WHERE CDFORNECEDOR = C_FORNECEDOR.CDFORNECEDOR;
                        
                        IF V_PRAZOPGTO > 0 THEN
                           DELETE FROM PRAZOPGTFORN
                            WHERE CDFORNECED = C_FORNECEDOR.CDFORNECEDOR;
                           FOR C_PRAZOPGTO IN 
                              (SELECT NRDIASPGTOFO, VRPERCPGTOFO
                                 FROM USR_SAP_PRAZOPGTFORN
                                WHERE CDFORNECEDOR = C_FORNECEDOR.CDFORNECEDOR)
                           LOOP
                              INSERT INTO PRAZOPGTFORN (CDFORNECED, NRDIASPGTOFO, VRPERCPGTOFO)
                              VALUES (C_FORNECEDOR.CDFORNECEDOR, C_PRAZOPGTO.NRDIASPGTOFO, C_PRAZOPGTO.VRPERCPGTOFO);
                           END LOOP;
                        END IF;
                        
                        IF TRIM(C_FORNECEDOR.OBSQUALFORNSAP) IS NOT NULL THEN
                           OPEN C_LOGQUALIFICACAO(C_FORNECEDOR.CDFORNECEDOR);
                           FETCH C_LOGQUALIFICACAO INTO V_QUALFORNE, V_DSJUSQUALIF;
                           BEGIN
                              V_TEXTO := V_DSJUSQUALIF||CHR(13)||C_FORNECEDOR.OBSQUALFORNSAP;
                              
                              UPDATE HISTQUALFORN
                                 SET TXHISQUALFOR = RAWTOHEX(V_TEXTO)
                               WHERE CDFORNECED = V_QUALFORNE;
                              
                              CLOSE C_LOGQUALIFICACAO;
                           EXCEPTION
                              WHEN OTHERS THEN
                                 CLOSE C_LOGQUALIFICACAO;
                           END;
                        END IF;                        
                     END IF;  
                     UPDATE USR_SAP_FORNECEDOR SET DTINTERFACEDEST = SYSDATE, STATUS = 0
                      WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
                     COMMIT;
                  END IF;
               ELSE
                  V_CDMUNICIPIO := '';
                  INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
                  VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'C'||CHR(243)||'digo do munic'||CHR(237)||'pio IBGE '||C_FORNECEDOR.CDMUNICIPIOP || ', relacionado ao fornecedor ' || C_FORNECEDOR.CDFORNECEDOR  || ' - ' ||  C_FORNECEDOR.NMFANTFORNE || ', n'||CHR(227)||'o cadastrado no sistema Teknisa');
                  
                  UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
                   WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
                  COMMIT;
               END IF;
            EXCEPTION
               WHEN NO_DATA_FOUND THEN
                  V_CDMUNICIPIO := '';
                  INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
                  VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'C'||CHR(243)||'digo do munic'||CHR(237)||'pio IBGE '||C_FORNECEDOR.CDMUNICIPIOP || ', relacionado ao fornecedor ' || C_FORNECEDOR.CDFORNECEDOR  || ' - ' ||  C_FORNECEDOR.NMFANTFORNE || ', n'||CHR(227)||'o cadastrado no sistema Teknisa');

                  UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
                   WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
                  COMMIT;
            END;
         ELSE
            INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
            VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'Sigla do estado '|| C_FORNECEDOR.SGESTADOP|| ', relacionado ao fornecedor ' || C_FORNECEDOR.CDFORNECEDOR  || ' - ' ||  C_FORNECEDOR.NMFANTFORNE || ', n'||CHR(227)||'o cadastrada no sistema Teknisa');

            UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
             WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
            COMMIT;
         END IF;
      ELSE
         INSERT INTO USR_SAP_LOG(IDINTERFACE, IDSEQLOG, IDPROCESSO, DTLOG, STATUS, OBSSTATUS)
         VALUES (C_FORNECEDOR.IDINTERFACE, 'I', 1, SYSDATE, 1, 'C'||CHR(243)||'digo do pa'||CHR(237)||'s '||C_FORNECEDOR.CDPAISP ||', relacionado ao fornecedor ' || C_FORNECEDOR.CDFORNECEDOR  || ' - ' ||  C_FORNECEDOR.NMFANTFORNE || ', n'||CHR(227)||'o cadastrado no sistema Teknisa');

         UPDATE USR_SAP_FORNECEDOR SET STATUS = 2
          WHERE IDINTERFACE = C_FORNECEDOR.IDINTERFACE;
         COMMIT;
      END IF;
   END LOOP; 
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('IMPORTA_FORNECEDOR_SAP','6.25.xxx'); END;
/
